%define thunarver 0.9.0

Name:           thunar-archive-plugin
Version:        0.2.4
Release:        7%{?dist}
Summary:        Archive plugin for the Thunar file manager

Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://foo-projects.org/~benny/projects/thunar-archive-plugin/
Source0:        http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.2.4-fileroller-extract-here.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= %{thunarver} libxfcegui4-devel >= 4.3.90.2
BuildRequires:  libxml2-devel, gettext
Requires:       Thunar >= %{thunarver}, xarchiver >= 0.2

%description
The Thunar Archive Plugin allows you to create and extract archive files using 
the file context menus in the Thunar file manager. Starting with version 0.2.0, 
the plugin provides a generic scripting interface for archive managers. 

%prep
%setup -q
%patch0 -p1 -b extract-here

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We need to install file-roller.tap as gnome-file-roller.tap, because the name 
# has to match the basename of the desktop-file in %{_datadir}/applications.
rm $RPM_BUILD_ROOT%{_libexecdir}/thunar-archive-plugin/file-roller.tap
install -p -m 755 scripts/file-roller.tap \
   $RPM_BUILD_ROOT%{_libexecdir}/thunar-archive-plugin/gnome-file-roller.tap

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README THANKS NEWS
%doc scripts/template.tap
%{_libdir}/thunarx-1/thunar-archive-plugin.so
%dir %{_libexecdir}/thunar-archive-plugin/
%{_libexecdir}/thunar-archive-plugin/*.tap
%{_datadir}/icons/hicolor/16x16/apps/tap-*.png


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 19 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2.4-5
- When used with file roller "Extract here" now always creates folder

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.4-4
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.4-3
- Rebuild for BuildID feature

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.4-2
- Rebuild for Thunar 0.8.0.

* Sat Jan 20 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.4-1
- Update to 0.2.4.

* Sun Nov 12 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.2-2
- Require xarchiver.
- Shorten %%description.
- Use thunarver macro.
- Include template.tap to %%doc.

* Sat Nov 11 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.2-1
- Update to 0.2.2.

* Wed Sep 13 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-1
- Initial Fedora Extras Version.
